import Vue from 'vue'
import VueRouter from 'vue-router'
Vue.use(VueRouter)

const routes = [{
    path: '/',
    redirect: '/login'
  },
  // 登录页
  {
    path: '/login',
    name: 'login',
    component: () => import('../views/login.vue'),
  },
  // 我的地盘页面
  {
    path: '/my',
    name: 'my',
    component: () => import('../views/my'),
  },
  {
    path: '/my-role',
    name: 'my-role',
    meta: {
      title: '我的权限'
    },
    component: () => import('@/views/my/role')
  },
  {
    path: '/my-reset-pas',
    name: 'my-reset-pas',
    meta: {
      title: '修改密码'
    },
    component: () => import('@/views/my/resetPas')
  },
  // 安全工作台页面
  {
    path: '/save-workbench',
    name: 'save-workbench',
    component: () => import('../views/saveWorkbench'),
  },
  // 创建任务页面
  {
    path: '/create-task',
    name: 'create-task',
    component: () => import('../views/createTask'),
  },
  // 选择任务类型
  {
    path: '/task-type',
    name: 'task-type',
    component: () => import('../views/createTask/taskSubPage/taskType.vue'),
  },
  // 选择作业任务
  {
    path: '/work-task',
    name: 'work-task',
    component: () => import('../views/createTask/taskSubPage/workTask'),
  },
  // 选择作业综合班
  {
    path: '/work-class',
    name: 'work-class',
    component: () => import('../views/createTask/taskSubPage/workClass'),
  },
  // 选择作业综合组
  {
    path: '/work-group',
    name: 'work-group',
    component: () => import('../views/createTask/taskSubPage/workGroup'),
  },
  // 选择作业负责人
  {
    path: '/work-leader',
    name: 'work-leader',
    component: () => import('../views/createTask/taskSubPage/workLeader'),
  },
  // 选择作业其他人员
  {
    path: '/work-other-per',
    name: 'work-other-per',
    component: () => import('../views/createTask/taskSubPage/workOtherPer'),
  },
  // 选择微流域
  {
    path: '/micro-watersh',
    name: 'micro-watersh',
    component: () => import('../views/createTask/taskSubPage/microWatersh'),
  },
  // 选择管段
  {
    path: '/pipe-section',
    name: 'pipe-section',
    component: () => import('../views/createTask/taskSubPage/pipeSection'),
  },
  // 选择车牌号
  {
    path: '/license-plate',
    name: 'license-plate',
    component: () => import('../views/createTask/taskSubPage/licensePlate'),
  },
  // 选择手杆爬行器
  {
    path: '/work-device',
    name: 'work-device',
    component: () => import('../views/createTask/taskSubPage/workDevice'),
  }
]

const router = new VueRouter({
  mode: 'history',
  base: process.env.BASE_URL,
  routes
})

export default router
